package de.oaa.xxx.games.chastity.lockee;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface LockeeInvitationRepository extends JpaRepository<LockeeInvitationEntity, UUID> {
    List<LockeeInvitationEntity> findByLockeeUserId(UUID lockeeUserId);
    List<LockeeInvitationEntity> findByKeyholderUserId(UUID keyholderUserId);
    Optional<LockeeInvitationEntity> findByToken(String token);
}
